# Comments Object

> Source: https://truto.one/docs/api-reference/unified-file-storage-api/comments/

Schema for the `Comments` resource in **Unified File Storage API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for a comment
- **`drive_item`** _(object)_
  The drive item the comment is associated with
  - **`id`** _(string)_
    The unique identifier for a drive item
  - **`name`** _(string)_
    The name of the drive item
  - **`type`** _(string)_
    The type of the drive item
    Allowed: `file`, `folder`
- **`parent`** _(object)_
  The parent comment this comment is replying to
  - **`id`** _(string)_
    The unique identifier for a comment
- **`type`** _(string)_
  The type of comment
- **`content`** _(string)_
  The text content of the comment
- **`html_content`** _(string)_
  The formatted content of the comment
- **`anchor`** _(object)_
  The location or context within the drive item that the comment is associated with
  - **`type`** _(string)_
    The type of anchor
  - **`description`** _(string)_
    The description of the anchor
  - **`position`** _(string)_
    The position or range in the drive item
  - **`version`** _(object)_
    The drive item version the anchor applies to
    - **`id`** _(string)_
      The unique identifier for a version
    - **`version_number`** _(string)_
      The version number or label
- **`author`** _(object)_
  The author of the comment
  - **`id`** _(string)_
    The unique identifier for a user
  - **`name`** _(string)_
    The name of the user
  - **`emails`** _(array<object>)_
    The emails of the user
    - **`email`** _(string)_
      The email address
    - **`type`** _(string)_
      The type of email address
    - **`is_primary`** _(boolean)_
      Whether the email address is primary
- **`mentions`** _(array<object>)_
  The users mentioned in the comment
  - **`id`** _(string)_
    The unique identifier for a user
  - **`name`** _(string)_
    The name of the user
  - **`emails`** _(array<object>)_
    The emails of the user
    - **`email`** _(string)_
      The email address
    - **`type`** _(string)_
      The type of email address
    - **`is_primary`** _(boolean)_
      Whether the email address is primary
- **`status`** _(string)_
  The status of the comment
- **`is_resolved`** _(boolean)_
  Whether the comment has been resolved
- **`created_at`** _(string)_
  The date and time the comment was created
- **`updated_at`** _(string)_
  The date and time the comment was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/file-storage/comments](/docs/api-reference/unified-file-storage-api/comments/list) — List Comments
- [GET /unified/file-storage/comments/{id}](/docs/api-reference/unified-file-storage-api/comments/get) — Get Comments
